Registry (GNU cryptographic primitives and tools)
Keywords: gnu.crypto.Registry,Registry interface

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.crypto
Interface Registry

All Known Implementing Classes:
  AuthenticatedEntry, CipherFactory, EncryptedEntry, HMacFactory, MacFactory, ModeFactory, PadFactory, PasswordAuthenticatedEntry, PasswordEncryptedEntry, PRNGFactory

public interface Registry

A placeholder for names and literals used throughout this library.

Field Summary
`static java.lang.String` | `AES_CIPHER` AES is synonymous to Rijndael for 128-bit block size only.
`static java.lang.String` | `ANUBIS_CIPHER`
`static java.lang.String` | `ARCFOUR_PRNG` (Apparently) RC4 keystream PRNG.
`static java.lang.String` | `BLOWFISH_CIPHER`
`static java.lang.String` | `CAST_128_CIPHER`
`static java.lang.String` | `CAST128_CIPHER` CAST5 is also known as CAST-128.
`static java.lang.String` | `CAST5_CIPHER`
`static java.lang.String` | `CBC_MODE` Cipher block chaining mode (NIST).
`static java.lang.String` | `CFB_MODE` Cipher feedback mode (NIST).
`static java.lang.String` | `CTR_MODE` Counter (NIST) mode.
`static java.lang.String` | `DES_CIPHER`
`static java.lang.String` | `DESEDE_CIPHER` TripleDES is also known as DESede.
`static java.lang.String` | `DH_KA`
`static java.lang.String` | `DH_KPG`
`static java.lang.String` | `DSA_KPG` DSA is synonymous to DSS.
`static java.lang.String` | `DSA_SIG` DSA is synonymous to DSS.
`static java.lang.String` | `DSS_KPG`
`static java.lang.String` | `DSS_SIG`
`static java.lang.String` | `ECB_MODE` Electronic CodeBook mode.
`static java.lang.String` | `ELGAMAL_KA`
`static java.lang.String` | `EME_PKCS1_V1_5_PAD` EME-PKCS1-v1_5 padding as described in section 7.2 in RFC-3447.
`static int` | `GKR_CERTIFICATES`
`static int` | `GKR_CIPHER_AES_128_CBC`
`static int` | `GKR_CIPHER_AES_128_OFB`
`static int` | `GKR_HMAC_MD5_128`
`static int` | `GKR_HMAC_MD5_96`
`static int` | `GKR_HMAC_SHA_160`
`static int` | `GKR_HMAC_SHA_96`
`static byte[]` | `GKR_MAGIC`
`static int` | `GKR_PRIVATE_KEYS`
`static int` | `GKR_PUBLIC_CREDENTIALS`
`static java.lang.String` | `GNU_CRYPTO` The name of our Provider.
`static java.lang.String` | `HAVAL_HASH`
`static java.lang.String` | `HMAC_NAME_PREFIX` Name prefix of every HMAC implementation.
`static java.lang.String` | `ICM_MODE` Integer Counter Mode (David McGrew).
`static java.lang.String` | `ICM_PRNG` PRNG based on David McGrew's Integer Counter Mode.
`static java.lang.String` | `KHAZAD_CIPHER`
`static byte[]` | `MAGIC_RAW_DH_PRIVATE_KEY`
`static byte[]` | `MAGIC_RAW_DH_PUBLIC_KEY`
`static byte[]` | `MAGIC_RAW_DSS_PRIVATE_KEY`
`static byte[]` | `MAGIC_RAW_DSS_PUBLIC_KEY`
`static byte[]` | `MAGIC_RAW_DSS_SIGNATURE`
`static byte[]` | `MAGIC_RAW_RSA_PRIVATE_KEY`
`static byte[]` | `MAGIC_RAW_RSA_PSS_SIGNATURE`
`static byte[]` | `MAGIC_RAW_RSA_PUBLIC_KEY`
`static byte[]` | `MAGIC_RAW_SRP_PRIVATE_KEY`
`static byte[]` | `MAGIC_RAW_SRP_PUBLIC_KEY`
`static java.lang.String` | `MD_PRNG` PRNG based on a designated hash function.
`static java.lang.String` | `MD2_HASH`
`static java.lang.String` | `MD4_HASH`
`static java.lang.String` | `MD5_HASH`
`static java.lang.String` | `NULL_CIPHER`
`static java.lang.String` | `OFB_MODE` Output Feedback Mode (NIST).
`static java.lang.String` | `PBKDF2_PRNG_PREFIX` PRNG based on PBKDF2 from PKCS #5 v.2.
`static java.lang.String` | `PKCS7_PAD` PKCS#7 padding scheme.
`static java.lang.String` | `QOP_AUTH` authentication only.
`static java.lang.String` | `QOP_AUTH_CONF` authentication plus integrity and confidentiality protection.
`static java.lang.String` | `QOP_AUTH_INT` authentication plus integrity protection.
`static java.lang.String` | `RAW_ENCODING`
`static int` | `RAW_ENCODING_ID`
`static java.lang.String` | `RC4_PRNG` We use "rc4" as an alias for "arcfour".
`static java.lang.String` | `REUSE_FALSE`
`static java.lang.String` | `REUSE_TRUE`
`static java.lang.String` | `RIJNDAEL_CIPHER`
`static java.lang.String` | `RIPEMD_128_HASH` RIPEMD-128 is synonymous to RIPEMD128.
`static java.lang.String` | `RIPEMD_160_HASH` RIPEMD-160 is synonymous to RIPEMD160.
`static java.lang.String` | `RIPEMD128_HASH`
`static java.lang.String` | `RIPEMD160_HASH`
`static java.lang.String` | `RSA_KPG`
`static java.lang.String` | `RSA_PKCS1_V1_5_SIG`
`static java.lang.String` | `RSA_PSS_SIG`
`static java.lang.String` | `SASL_ANONYMOUS_MECHANISM`
`static java.lang.String` | `SASL_AUTH_INFO_PROVIDER_PKGS` Name of authentication information provider packages.
`static java.lang.String` | `SASL_AUTHORISATION_ID` SASL authorization ID.
`static int` | `SASL_BUFFER_MAX_LIMIT` The size limit, in bytes, of a SASL Buffer.
`static java.lang.String` | `SASL_CALLBACK_HANDLER` SASL Callback handler.
`static java.lang.String` | `SASL_CHANNEL_BINDING` SASL channel binding.
`static java.lang.String` | `SASL_CRAM_MD5_MECHANISM`
`static int` | `SASL_FOUR_BYTE_MAX_LIMIT` The size limit, in bytes, of a SASL EOS (Extended Octet Sequence) element.
`static java.lang.String` | `SASL_HMAC_MD5_IALG`
`static java.lang.String` | `SASL_HMAC_SHA_IALG`
`static int` | `SASL_ONE_BYTE_MAX_LIMIT` The size limit, in bytes, of a SASL OS (Octet Sequence) element.
`static java.lang.String` | `SASL_PASSWORD` Name of password property.
`static java.lang.String` | `SASL_PLAIN_MECHANISM`
`static java.lang.String` | `SASL_PREFIX`
`static java.lang.String` | `SASL_PROTOCOL` SASL protocol.
`static java.lang.String` | `SASL_SERVER_NAME` SASL Server name.
`static java.lang.String` | `SASL_SRP_MECHANISM`
`static int` | `SASL_TWO_BYTE_MAX_LIMIT` The size limit, in bytes, of both a SASL MPI (Multi-Precision Integer) element and a SASL Text element.
`static java.lang.String` | `SASL_USERNAME` Name of username property.
`static java.lang.String` | `SERPENT_CIPHER`
`static java.lang.String` | `SERVER_AUTH_FALSE` Server does not need to, or cannot, authenticate to the client.
`static java.lang.String` | `SERVER_AUTH_TRUE` Server must authenticate to the client.
`static java.lang.String` | `SHA_1_HASH` SHA-1 is synonymous to SHA-160.
`static java.lang.String` | `SHA_HASH` SHA is synonymous to SHA-160.
`static java.lang.String` | `SHA1_HASH` SHA1 is synonymous to SHA-160.
`static java.lang.String` | `SHA160_HASH`
`static java.lang.String` | `SHA256_HASH`
`static java.lang.String` | `SHA384_HASH`
`static java.lang.String` | `SHA512_HASH`
`static java.lang.String` | `SQUARE_CIPHER`
`static java.lang.String` | `SRP_KPG`
`static java.lang.String` | `SRP_SASL_KA`
`static java.lang.String` | `SRP_TLS_KA`
`static java.lang.String` | `SRP6_KA`
`static java.lang.String` | `STRENGTH_HIGH`
`static java.lang.String` | `STRENGTH_LOW`
`static java.lang.String` | `STRENGTH_MEDIUM`
`static java.lang.String` | `TBC_PAD` Trailing Bit Complement padding scheme.
`static java.lang.String` | `TIGER_HASH`
`static java.lang.String` | `TMMH16` The Truncated Multi-Modular Hash Function -v1 (David McGrew).
`static java.lang.String` | `TRIPLEDES_CIPHER`
`static java.lang.String` | `TWOFISH_CIPHER`
`static java.lang.String` | `UHASH32` Message Authentication Code using Universal Hashing (Ted Krovetz).
`static java.lang.String` | `UMAC_PRNG` PRNG based on UMAC's Key Derivation Function.
`static java.lang.String` | `UMAC32`
`static java.lang.String` | `WHIRLPOOL_HASH`

Field Detail

### GNU_CRYPTO

    public static final java.lang.String GNU_CRYPTO

  The name of our Provider.

  See Also:
    Constant Field Values

### ANUBIS_CIPHER

    public static final java.lang.String ANUBIS_CIPHER

See Also:
  Constant Field Values

### BLOWFISH_CIPHER

    public static final java.lang.String BLOWFISH_CIPHER

See Also:
  Constant Field Values

### DES_CIPHER

    public static final java.lang.String DES_CIPHER

See Also:
  Constant Field Values

### KHAZAD_CIPHER

    public static final java.lang.String KHAZAD_CIPHER

See Also:
  Constant Field Values

### RIJNDAEL_CIPHER

    public static final java.lang.String RIJNDAEL_CIPHER

See Also:
  Constant Field Values

### SERPENT_CIPHER

    public static final java.lang.String SERPENT_CIPHER

See Also:
  Constant Field Values

### SQUARE_CIPHER

    public static final java.lang.String SQUARE_CIPHER

See Also:
  Constant Field Values

### TRIPLEDES_CIPHER

    public static final java.lang.String TRIPLEDES_CIPHER

See Also:
  Constant Field Values

### TWOFISH_CIPHER

    public static final java.lang.String TWOFISH_CIPHER

See Also:
  Constant Field Values

### CAST5_CIPHER

    public static final java.lang.String CAST5_CIPHER

See Also:
  Constant Field Values

### NULL_CIPHER

    public static final java.lang.String NULL_CIPHER

See Also:
  Constant Field Values

### AES_CIPHER

    public static final java.lang.String AES_CIPHER

  AES is synonymous to Rijndael for 128-bit block size only.

  See Also:
    Constant Field Values

### DESEDE_CIPHER

    public static final java.lang.String DESEDE_CIPHER

  TripleDES is also known as DESede.

  See Also:
    Constant Field Values

### CAST128_CIPHER

    public static final java.lang.String CAST128_CIPHER

  CAST5 is also known as CAST-128.

  See Also:
    Constant Field Values

### CAST_128_CIPHER

    public static final java.lang.String CAST_128_CIPHER

See Also:
  Constant Field Values

### WHIRLPOOL_HASH

    public static final java.lang.String WHIRLPOOL_HASH

See Also:
  Constant Field Values

### RIPEMD128_HASH

    public static final java.lang.String RIPEMD128_HASH

See Also:
  Constant Field Values

### RIPEMD160_HASH

    public static final java.lang.String RIPEMD160_HASH

See Also:
  Constant Field Values

### SHA160_HASH

    public static final java.lang.String SHA160_HASH

See Also:
  Constant Field Values

### SHA256_HASH

    public static final java.lang.String SHA256_HASH

See Also:
  Constant Field Values

### SHA384_HASH

    public static final java.lang.String SHA384_HASH

See Also:
  Constant Field Values

### SHA512_HASH

    public static final java.lang.String SHA512_HASH

See Also:
  Constant Field Values

### TIGER_HASH

    public static final java.lang.String TIGER_HASH

See Also:
  Constant Field Values

### HAVAL_HASH

    public static final java.lang.String HAVAL_HASH

See Also:
  Constant Field Values

### MD5_HASH

    public static final java.lang.String MD5_HASH

See Also:
  Constant Field Values

### MD4_HASH

    public static final java.lang.String MD4_HASH

See Also:
  Constant Field Values

### MD2_HASH

    public static final java.lang.String MD2_HASH

See Also:
  Constant Field Values

### RIPEMD_128_HASH

    public static final java.lang.String RIPEMD_128_HASH

  RIPEMD-128 is synonymous to RIPEMD128.

  See Also:
    Constant Field Values

### RIPEMD_160_HASH

    public static final java.lang.String RIPEMD_160_HASH

  RIPEMD-160 is synonymous to RIPEMD160.

  See Also:
    Constant Field Values

### SHA_1_HASH

    public static final java.lang.String SHA_1_HASH

  SHA-1 is synonymous to SHA-160.

  See Also:
    Constant Field Values

### SHA1_HASH

    public static final java.lang.String SHA1_HASH

  SHA1 is synonymous to SHA-160.

  See Also:
    Constant Field Values

### SHA_HASH

    public static final java.lang.String SHA_HASH

  SHA is synonymous to SHA-160.

  See Also:
    Constant Field Values

### ECB_MODE

    public static final java.lang.String ECB_MODE

  Electronic CodeBook mode.

  See Also:
    Constant Field Values

### CTR_MODE

    public static final java.lang.String CTR_MODE

  Counter (NIST) mode.

  See Also:
    Constant Field Values

### ICM_MODE

    public static final java.lang.String ICM_MODE

  Integer Counter Mode (David McGrew).

  See Also:
    Constant Field Values

### OFB_MODE

    public static final java.lang.String OFB_MODE

  Output Feedback Mode (NIST).

  See Also:
    Constant Field Values

### CBC_MODE

    public static final java.lang.String CBC_MODE

  Cipher block chaining mode (NIST).

  See Also:
    Constant Field Values

### CFB_MODE

    public static final java.lang.String CFB_MODE

  Cipher feedback mode (NIST).

  See Also:
    Constant Field Values

### PKCS7_PAD

    public static final java.lang.String PKCS7_PAD

  PKCS#7 padding scheme.

  See Also:
    Constant Field Values

### TBC_PAD

    public static final java.lang.String TBC_PAD

  Trailing Bit Complement padding scheme.

  See Also:
    Constant Field Values

### EME_PKCS1_V1_5_PAD

    public static final java.lang.String EME_PKCS1_V1_5_PAD

  EME-PKCS1-v1_5 padding as described in section 7.2 in RFC-3447.

  See Also:
    Constant Field Values

### ARCFOUR_PRNG

    public static final java.lang.String ARCFOUR_PRNG

  (Apparently) RC4 keystream PRNG.

  See Also:
    Constant Field Values

### RC4_PRNG

    public static final java.lang.String RC4_PRNG

  We use "rc4" as an alias for "arcfour".

  See Also:
    Constant Field Values

### ICM_PRNG

    public static final java.lang.String ICM_PRNG

  PRNG based on David McGrew's Integer Counter Mode.

  See Also:
    Constant Field Values

### MD_PRNG

    public static final java.lang.String MD_PRNG

  PRNG based on a designated hash function.

  See Also:
    Constant Field Values

### UMAC_PRNG

    public static final java.lang.String UMAC_PRNG

  PRNG based on UMAC's Key Derivation Function.

  See Also:
    Constant Field Values

### PBKDF2_PRNG_PREFIX

    public static final java.lang.String PBKDF2_PRNG_PREFIX

  PRNG based on PBKDF2 from PKCS #5 v.2. This is suffixed with the name of a MAC to be used as a PRF.

  See Also:
    Constant Field Values

### DSS_KPG

    public static final java.lang.String DSS_KPG

See Also:
  Constant Field Values

### RSA_KPG

    public static final java.lang.String RSA_KPG

See Also:
  Constant Field Values

### DH_KPG

    public static final java.lang.String DH_KPG

See Also:
  Constant Field Values

### SRP_KPG

    public static final java.lang.String SRP_KPG

See Also:
  Constant Field Values

### DSA_KPG

    public static final java.lang.String DSA_KPG

  DSA is synonymous to DSS.

  See Also:
    Constant Field Values

### DSS_SIG

    public static final java.lang.String DSS_SIG

See Also:
  Constant Field Values

### RSA_PSS_SIG

    public static final java.lang.String RSA_PSS_SIG

See Also:
  Constant Field Values

### RSA_PKCS1_V1_5_SIG

    public static final java.lang.String RSA_PKCS1_V1_5_SIG

See Also:
  Constant Field Values

### DSA_SIG

    public static final java.lang.String DSA_SIG

  DSA is synonymous to DSS.

  See Also:
    Constant Field Values

### DH_KA

    public static final java.lang.String DH_KA

See Also:
  Constant Field Values

### ELGAMAL_KA

    public static final java.lang.String ELGAMAL_KA

See Also:
  Constant Field Values

### SRP6_KA

    public static final java.lang.String SRP6_KA

See Also:
  Constant Field Values

### SRP_SASL_KA

    public static final java.lang.String SRP_SASL_KA

See Also:
  Constant Field Values

### SRP_TLS_KA

    public static final java.lang.String SRP_TLS_KA

See Also:
  Constant Field Values

### HMAC_NAME_PREFIX

    public static final java.lang.String HMAC_NAME_PREFIX

  Name prefix of every HMAC implementation.

  See Also:
    Constant Field Values

### UHASH32

    public static final java.lang.String UHASH32

  Message Authentication Code using Universal Hashing (Ted Krovetz).

  See Also:
    Constant Field Values

### UMAC32

    public static final java.lang.String UMAC32

See Also:
  Constant Field Values

### TMMH16

    public static final java.lang.String TMMH16

  The Truncated Multi-Modular Hash Function -v1 (David McGrew).

  See Also:
    Constant Field Values

### RAW_ENCODING

    public static final java.lang.String RAW_ENCODING

See Also:
  Constant Field Values

### RAW_ENCODING_ID

    public static final int RAW_ENCODING_ID

See Also:
  Constant Field Values

### MAGIC_RAW_DSS_PUBLIC_KEY

    public static final byte[] MAGIC_RAW_DSS_PUBLIC_KEY

### MAGIC_RAW_DSS_PRIVATE_KEY

    public static final byte[] MAGIC_RAW_DSS_PRIVATE_KEY

### MAGIC_RAW_DSS_SIGNATURE

    public static final byte[] MAGIC_RAW_DSS_SIGNATURE

### MAGIC_RAW_RSA_PUBLIC_KEY

    public static final byte[] MAGIC_RAW_RSA_PUBLIC_KEY

### MAGIC_RAW_RSA_PRIVATE_KEY

    public static final byte[] MAGIC_RAW_RSA_PRIVATE_KEY

### MAGIC_RAW_RSA_PSS_SIGNATURE

    public static final byte[] MAGIC_RAW_RSA_PSS_SIGNATURE

### MAGIC_RAW_DH_PUBLIC_KEY

    public static final byte[] MAGIC_RAW_DH_PUBLIC_KEY

### MAGIC_RAW_DH_PRIVATE_KEY

    public static final byte[] MAGIC_RAW_DH_PRIVATE_KEY

### MAGIC_RAW_SRP_PUBLIC_KEY

    public static final byte[] MAGIC_RAW_SRP_PUBLIC_KEY

### MAGIC_RAW_SRP_PRIVATE_KEY

    public static final byte[] MAGIC_RAW_SRP_PRIVATE_KEY

### SASL_PREFIX

    public static final java.lang.String SASL_PREFIX

See Also:
  Constant Field Values

### SASL_USERNAME

    public static final java.lang.String SASL_USERNAME

  Name of username property.

  See Also:
    Constant Field Values

### SASL_PASSWORD

    public static final java.lang.String SASL_PASSWORD

  Name of password property.

  See Also:
    Constant Field Values

### SASL_AUTH_INFO_PROVIDER_PKGS

    public static final java.lang.String SASL_AUTH_INFO_PROVIDER_PKGS

  Name of authentication information provider packages.

  See Also:
    Constant Field Values

### SASL_AUTHORISATION_ID

    public static final java.lang.String SASL_AUTHORISATION_ID

  SASL authorization ID.

  See Also:
    Constant Field Values

### SASL_PROTOCOL

    public static final java.lang.String SASL_PROTOCOL

  SASL protocol.

  See Also:
    Constant Field Values

### SASL_SERVER_NAME

    public static final java.lang.String SASL_SERVER_NAME

  SASL Server name.

  See Also:
    Constant Field Values

### SASL_CALLBACK_HANDLER

    public static final java.lang.String SASL_CALLBACK_HANDLER

  SASL Callback handler.

  See Also:
    Constant Field Values

### SASL_CHANNEL_BINDING

    public static final java.lang.String SASL_CHANNEL_BINDING

  SASL channel binding.

  See Also:
    Constant Field Values

### SASL_ONE_BYTE_MAX_LIMIT

    public static final int SASL_ONE_BYTE_MAX_LIMIT

  The size limit, in bytes, of a SASL OS (Octet Sequence) element.

  See Also:
    Constant Field Values

### SASL_TWO_BYTE_MAX_LIMIT

    public static final int SASL_TWO_BYTE_MAX_LIMIT

  The size limit, in bytes, of both a SASL MPI (Multi-Precision Integer) element and a SASL Text element.

  See Also:
    Constant Field Values

### SASL_FOUR_BYTE_MAX_LIMIT

    public static final int SASL_FOUR_BYTE_MAX_LIMIT

  The size limit, in bytes, of a SASL EOS (Extended Octet Sequence) element.

  See Also:
    Constant Field Values

### SASL_BUFFER_MAX_LIMIT

    public static final int SASL_BUFFER_MAX_LIMIT

  The size limit, in bytes, of a SASL Buffer.

  See Also:
    Constant Field Values

### SASL_ANONYMOUS_MECHANISM

    public static final java.lang.String SASL_ANONYMOUS_MECHANISM

See Also:
  Constant Field Values

### SASL_CRAM_MD5_MECHANISM

    public static final java.lang.String SASL_CRAM_MD5_MECHANISM

See Also:
  Constant Field Values

### SASL_PLAIN_MECHANISM

    public static final java.lang.String SASL_PLAIN_MECHANISM

See Also:
  Constant Field Values

### SASL_SRP_MECHANISM

    public static final java.lang.String SASL_SRP_MECHANISM

See Also:
  Constant Field Values

### SASL_HMAC_MD5_IALG

    public static final java.lang.String SASL_HMAC_MD5_IALG

See Also:
  Constant Field Values

### SASL_HMAC_SHA_IALG

    public static final java.lang.String SASL_HMAC_SHA_IALG

See Also:
  Constant Field Values

### QOP_AUTH

    public static final java.lang.String QOP_AUTH

  authentication only.

  See Also:
    Constant Field Values

### QOP_AUTH_INT

    public static final java.lang.String QOP_AUTH_INT

  authentication plus integrity protection.

  See Also:
    Constant Field Values

### QOP_AUTH_CONF

    public static final java.lang.String QOP_AUTH_CONF

  authentication plus integrity and confidentiality protection.

  See Also:
    Constant Field Values

### STRENGTH_HIGH

    public static final java.lang.String STRENGTH_HIGH

See Also:
  Constant Field Values

### STRENGTH_MEDIUM

    public static final java.lang.String STRENGTH_MEDIUM

See Also:
  Constant Field Values

### STRENGTH_LOW

    public static final java.lang.String STRENGTH_LOW

See Also:
  Constant Field Values

### SERVER_AUTH_TRUE

    public static final java.lang.String SERVER_AUTH_TRUE

  Server must authenticate to the client.

  See Also:
    Constant Field Values

### SERVER_AUTH_FALSE

    public static final java.lang.String SERVER_AUTH_FALSE

  Server does not need to, or cannot, authenticate to the client.

  See Also:
    Constant Field Values

### REUSE_TRUE

    public static final java.lang.String REUSE_TRUE

See Also:
  Constant Field Values

### REUSE_FALSE

    public static final java.lang.String REUSE_FALSE

See Also:
  Constant Field Values

### GKR_MAGIC

    public static final byte[] GKR_MAGIC

### GKR_PRIVATE_KEYS

    public static final int GKR_PRIVATE_KEYS

See Also:
  Constant Field Values

### GKR_PUBLIC_CREDENTIALS

    public static final int GKR_PUBLIC_CREDENTIALS

See Also:
  Constant Field Values

### GKR_CERTIFICATES

    public static final int GKR_CERTIFICATES

See Also:
  Constant Field Values

### GKR_HMAC_MD5_128

    public static final int GKR_HMAC_MD5_128

See Also:
  Constant Field Values

### GKR_HMAC_SHA_160

    public static final int GKR_HMAC_SHA_160

See Also:
  Constant Field Values

### GKR_HMAC_MD5_96

    public static final int GKR_HMAC_MD5_96

See Also:
  Constant Field Values

### GKR_HMAC_SHA_96

    public static final int GKR_HMAC_SHA_96

See Also:
  Constant Field Values

### GKR_CIPHER_AES_128_OFB

    public static final int GKR_CIPHER_AES_128_OFB

See Also:
  Constant Field Values

### GKR_CIPHER_AES_128_CBC

    public static final int GKR_CIPHER_AES_128_CBC

See Also:
  Constant Field Values

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.